Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::world_info_node Class Reference

Inheritance diagram for openvrml::vrml97_node::world_info_node:

[legend]
List of all members.

## Detailed Description

WorldInfo node instances.

## Public Member Functions

| world_info_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~world_info_node () throw ()
| Destroy.

## Private Attributes

mfstring | info
| string field.
sfstring | title
| title field.

## Friends

class | world_info_class
| Class object for WorldInfo instances.

## Constructor & Destructor Documentation

openvrml::vrml97_node::world_info_node::world_info_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the instance.
  | scope | the scope that the new node will belong to.

openvrml::vrml97_node::world_info_node::~world_info_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Friends And Related Function Documentation

openvrml::vrml97_node::world_info_node::world_info_class`[friend]`

| Class object for WorldInfo instances.

## Member Data Documentation

openvrml::vrml97_node::world_info_node::info `[private]`

| string field.

openvrml::vrml97_node::world_info_node::title `[private]`

| title field.